<head>
    <title>Hello</title>
</head>
<h1>Hello! Its ur first component</h1>

<!-- Forms -->
<!-- Reactive form -->
Input text here: <input type="text" [formControl]="fcc"><br>
<input type="button" value="set Default" (click)="setDefaultValue()">
<input type="button" value="Get Value" (click)="getValue()"><br>
<p>The value in input box is {{ inputValue }}</p>
<form [formGroup]="fg" (ngSubmit)="onsubmit()" class="formclass">
    Enter color: <input type="text" formControlName="fc1">
    <span *ngIf="fg.get('fc1').invalid" ngClass="stylepswd">
        Please enter correct color
    </span><br>
    Email: &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
    <input type="email" formControlName="email">
    <span *ngIf="fg.get('email').invalid && fg.get('email').dirty" class="stylepswd">
        Please enter valid email
    </span><br>
    Password: <input type="password" formControlName="fc2">
      <span *ngIf="fg.get('fc2').invalid && (fg.get('fc2').touched || fg.get('fc2').dirty)" ngClass="stylepswd">
        Please enter password of length between 4 to 12
      </span><br>
    <input type="button" (click)="addSkills()" value="Add skills"><br>
    <div formArrayName="skills" *ngFor="let skill of skills.controls; let i=index">
        <label for="i">Skill:</label> <input type="text" [formControlName]="i" id="i">
        Experience:<input type="radio" id="rd1" name="r"><label for="rd1">Beginner</label>
                   <input type="radio" id="rd2" name="r"><label for="rd2">Expert</label>
    </div>
    <input type="submit" value="submit">
</form>

<br><input type="button" value="click" (click)="print()"><br><br>
<!-- Template Driven Form -->
<input type="text" [(ngModel)]="inputTaken">
{{inputTaken}}

<!-- Template binding -->
<br><br><br>
<button [attr.aria-label]="actionName" [style.width]="width" [style]="styles">{{ actionName }} button</button>
<br><br>
<button [class]="className">{{className[0]}} button,{{className[1]}} button</button>
<p>Hello her birthday is on {{ birthday | date | uppercase}}</p>
<p>{{ person_name | customTransform:gender}}</p>

<!-- Directives -->
<div [ngClass]="currentClass?'style1':'style2'">This is the first div</div>
<div [ngClass]="Currentclass1()" [ngStyle]="Currentstyle()">This is second div</div>
<div *ngFor = "let item of array_items">{{item}}</div>

<!-- Two way binding -->
<input type="text" [(ngModel)]="my_name"/>{{ my_name }}

<!-- Pure and impure pipes -->
<br><br>
<input type="text" #arr_val/>
<button (click)="pipeoperation(arr_val.value)">Click me</button>
<p>{{array_items | customTransform}}</p>

<!-- Custom Directives -->
<p appCustdir>This is custom directive div</p>

<!-- Dynamic Components -->
<template #alertContainer></template>
<button (click)="createComponent('success')">Create success alert</button>
<button (click)="createComponent('danger')">Create danger alert</button>

<!-- Services -->
<p>Displayed names using service: {{ names }}</p>

